<?php
$ver = '1.5';

$base_url_host = parse_url(site_url(), PHP_URL_HOST);
unset($settings['customCSS']);
$iSlide = $settings['initial_slide'] = isset($_GET[ 'flag' . $galleryID . '_slide' ])? (int) $_GET[ 'flag' . $galleryID . '_slide' ] : 0;

wp_enqueue_style('flagallery-desire-skin', plugins_url('/css/desire.css', __FILE__), array('swiper'), $ver);
wp_enqueue_script('flagallery-desire-skin', plugins_url('/js/desire.js', __FILE__), array(
    'jquery',
    'swiper',
    'mousetrap',
), $ver, true
);

foreach($data as $gallery){
    $path  = $gallery['gallery']['path'];
    $items = $gallery['data'];
    //if($gallery['gallery']['title']){
    //    echo "<h3>{$gallery['gallery']['title']}</h3>";
    //}
    //if($gallery['gallery']['galdesc']){
    //    echo '<div class="flagPhantom_galleryDescription">' . apply_filters('the_content', stripslashes($gallery['gallery']['galdesc'])) . '</div>';
    //}
    foreach($items as $item){
        $type = 'image';

        $metadata = $item['meta_data'];
        $width    = $metadata['webview'][0];
        $height   = $metadata['webview'][1];
        $meta     = array(
            'width'  => $width,
            'height' => $height,
            'views'  => $item['hitcounter'],
            'likes'  => $item['total_votes'],
        );

        $alttext  = stripslashes($item['alttext']);
        $original = $path . '/' . $item['filename'];
        $image    = $path . '/webview/' . $item['filename'];
        $thumb    = $path . '/thumbs/thumbs_' . $item['filename'];

        $content['data'][ $item['pid'] ] = array(
            'id'    => $item['pid'],
            'type'  => $type,
            'file'  => $item['filename'],
            'meta'  => $meta,
            'title' => $alttext,
            'alt'   => $alttext,
        );

        $content['data'][ $item['pid'] ]['original'] = $original;
        $content['data'][ $item['pid'] ]['image']    = $image;
        $content['data'][ $item['pid'] ]['thumb']    = $thumb;

        if( !empty($settings['show_description'])){
            $content['data'][ $item['pid'] ]['description'] = str_replace(array(
                                                                              "\r\n",
                                                                              "\r",
                                                                              "\n",
                                                                          ), '', wpautop(stripslashes($item['description']))
            );
        }

        if( !empty($settings['show_link_button'])){
            $content['data'][ $item['pid'] ]['link'] = $item['link'];
            $link_target                             = '';
            if($item['link']){
                $url_host = parse_url($item['link'], PHP_URL_HOST);
                if($url_host == $base_url_host || empty($url_host)){
                    $link_target = '_self';
                } else{
                    $link_target = '_blank';
                }
            }
            $content['data'][ $item['pid'] ]['link_target'] = $link_target;
        }

        if( !empty($settings['show_download_button'])){
            $content['data'][ $item['pid'] ]['download'] = $original;
        }

        $exif = $metadata;
        if( !empty($settings['show_details_tab'])){
            $details = array();
            if( !empty($exif)){
                $details['model']          = empty($exif['camera'])? '' : $exif['camera'];
                $details['camera_settings'] = array(
                    'focallength'  => empty($exif['focal_length'])? '' : $exif['focal_length'],
                    'aperture'      => empty($exif['aperture'])? '' : 'ƒ' . str_replace(array(
                                                                                            'F ',
                                                                                            'F',
                                                                                            'f',
                                                                                        ), '', $exif['aperture']
                        ),
                    'exposure' => empty($exif['shutter_speed'])? '' : $exif['shutter_speed'],
                    'iso'           => empty($exif['iso'])? '' : 'ISO ' . $exif['iso'],
                );
                $details['camera_settings'] = array_filter($details['camera_settings']);
                $details['taken']           = empty($exif['created_timestamp'])? '' : date_i18n(get_option('date_format'), strtotime($exif['created_timestamp']));
                $details['keywords']        = empty($exif['keywords'])? '' : $exif['keywords'];
            }
            $content['data'][ $item['pid'] ]['details'] = $details;
        }
    }
}

$slides        = array();
$slides_thumbs = array();
$i             = 0;
foreach($content['data'] as $item_id => $item){
    $i ++;
    $web                                  = $item['image'];
    $thumb                                = $item['thumb'];
    $ratio                                = $item['meta']['width'] / $item['meta']['height'];
    $content['data'][ $item_id ]['ratio'] = $ratio;
    if(1 < $ratio){
        $orientation = 'flagpts_photo_landscape';
    } else{
        $orientation = 'flagpts_photo_portrait';
    }
    $img_src   = '';
    $thumb_src = '';
    if($is_bot || 1 === $i){
        $img_src   = 'src="' . $web . '"';
        $thumb_src = 'src="' . $thumb . '"';
    }
    $img_class     = '';
    $img_preloader = '';
    if( !$is_bot){
        $img_class     .= ' swiper-lazy';
        $img_preloader = '<div class="swiper-lazy-preloader swiper-lazy-preloader-black"></div>';
    }
    $slides[] = '
		<div class="swiper-slide" data-hash="flagallery' . $item['id'] . '" data-photo-id="' . $item['id'] . '"><span class="flagpts_va"></span>' . '<img ' . $img_src . ' data-src="' . $web . '" alt="' . esc_attr($item['alt']) . '" class="flagpts_the_photo' . $img_class . '">' . $img_preloader . '</div>';
    if( !empty($settings['show_thumbnails_bar'])){
        $slides_thumbs[] = '
		<div class="swiper-slide flagpts_photo" data-photo-id="' . $item['id'] . '">' . '<img ' . $thumb_src . ' data-src="' . $thumb . '" alt="' . esc_attr($item['alt']) . '" class="flagpts_photo swiper-lazy ' . $orientation . '">' . '<span class="swiper-lazy-preloader swiper-lazy-preloader-black"></span>' . '</div>';
    }
}
$content['data'] = array_values($content['data']);

$photo_show_class = '';
if( !empty($settings['gallery_maximized'])){
    $photo_show_class .= ' flagpts_maximized';
}
if( !empty($settings['gallery_focus'])){
    $photo_show_class .= ' flagpts_focus';
}
if( !empty($settings['gallery_focus_maximized'])){
    $photo_show_class .= ' flagpts_focus_maximized';
}
if(empty($settings['keyboard_help'])){
    $photo_show_class .= ' flagpts_diskeys';
}
if(empty($settings['show_thumbnails_bar'])){
    $photo_show_class .= ' flagpts_nothumbs';
}
if( !$is_bot){
    $photo_show_class .= ' flagpts_preload';
}
?>

    <div class="flagpts_photo_show flagpts_w960 flagpts_w640 flagpts_w480<?php echo $photo_show_class; ?>">

        <div class="flagpts_photo_wrap has_prev_photo has_next_photo">
            <div class="swiper-container swiper-big-images">
                <div class="flagpts_photo_arrow_next flagpts_photo_arrow flagpts_next">
                    <div title="Next" class="flagpts_arrow"><span><svg version="1.1" viewBox="0 0 26.001 45.999" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M1.004,40.094c-1.338,1.352-1.338,3.541,0,4.893c1.336,1.35,3.506,1.352,4.844,0l19.15-19.539  c1.338-1.352,1.338-3.543,0-4.895L5.848,1.014c-1.338-1.352-3.506-1.352-4.844,0s-1.338,3.541-0.002,4.893L16.707,23L1.004,40.094z"/><g/></svg></span>
                    </div>
                </div>
                <div class="flagpts_photo_arrow_previous flagpts_photo_arrow flagpts_prev">
                    <div title="Previous" class="flagpts_arrow"><span><svg version="1.1" viewBox="0 0 26.002 45.999" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M24.998,40.094c1.338,1.352,1.338,3.541,0,4.893c-1.338,1.35-3.506,1.352-4.846,0L1.004,25.447  c-1.338-1.352-1.338-3.543,0-4.895L20.152,1.014c1.34-1.352,3.506-1.352,4.846,0c1.338,1.352,1.338,3.541,0,4.893L9.295,23  L24.998,40.094z"/><g/></svg></span>
                    </div>
                </div>
                <div class="swiper-wrapper">
                    <?php
                    echo implode('', $slides);
                    ?>
                </div>
            </div>
            <?php
            if(empty($settings['key']) || 'GRANDPackPlus' !== $settings['name']){
                echo "<a class='flaglove' target='_blank' href='http://bit.ly/2jPNRB0'>" . __('Trial version - Get License', 'flash-album-gallery') . "</a>";
            }
            ?>
        </div>
        <?php if( !empty($settings['show_thumbnails_bar'])){ ?>
            <div class="flagpts_carousel_wrapper">
                <div class="flagpts_carousel flagpts_has_previous flagpts_has_next">
                    <div class="flagpts_nav_button flagpts_previous_button"></div>
                    <div class="flagpts_photo_carousel">
                        <div class="swiper-container swiper-small-images">
                            <div class="swiper-wrapper">
                                <?php echo implode('', $slides_thumbs); ?>
                            </div>
                        </div>
                    </div>
                    <div class="flagpts_nav_button flagpts_next_button"></div>
                </div>
            </div>
        <?php } ?>

        <?php if( !empty($settings['show_info_button'])){ ?>
            <div class="flagpts_gallery_info_menu flagpts_info_closed">
                <div class="flagpts_info_button flagpts_b_style1"><span><svg version="1.1" viewBox="0 0 46 100" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g><path d="M35.162,0c6.696,0,10.043,4.567,10.043,9.789c0,6.522-5.814,12.555-13.391,12.555c-6.344,0-10.045-3.752-9.869-9.947   C21.945,7.176,26.35,0,35.162,0z M14.543,100c-5.287,0-9.164-3.262-5.463-17.615l6.07-25.457c1.057-4.077,1.23-5.707,0-5.707   c-1.588,0-8.451,2.816-12.51,5.59L0,52.406C12.863,41.48,27.662,35.072,34.004,35.072c5.285,0,6.168,6.361,3.525,16.148   L30.58,77.98c-1.234,4.729-0.703,6.359,0.527,6.359c1.586,0,6.787-1.963,11.896-6.041L46,82.377C33.488,95.1,19.83,100,14.543,100z   "/></g></svg></span>
                </div>
                <div class="flagpts_info_bg">
                    <div class="flagpts_info_scroll">
                        <div class="flagpts_photo_details<?php if(empty($settings['show_details_tab']) || empty($content['data'][ $iSlide ]['details'])){
                            echo ' no-details-tab';
                        } ?>">
                            <div class="flagpts_wrapper flagpts_clearfix">
                                <div class="flagpts_description_wrap<?php echo empty($content['data'][ $iSlide ]['description'])? ' empty-item-description' : ''; ?>">
                                    <?php if( !empty($settings['description_title'])){ ?>
                                        <div class="details_title"><?php echo $settings['description_title']; ?></div>
                                    <?php } ?>
                                    <div class="flagpts_slide_title"><?php echo $content['data'][ $iSlide ]['title']; ?></div>
                                    <?php if( !empty($settings['show_description'])){ ?>
                                        <div class="flagpts_description_text_wrap">
                                            <div class="flagpts_slide_description"><?php echo $content['data'][ $iSlide ]['description']; ?></div>
                                        </div>
                                    <?php } ?>
                                </div>
                                <?php if( !empty($settings['show_details_tab'])){
                                    $slide = $content['data'][ $iSlide ]; ?>
                                    <div class="flagpts_details_section">
                                        <div class="details_title"><?php echo $settings['details_title']; ?></div>

                                        <div class="flagpts_slide_details">
                                            <?php if($settings['views_text'] && !empty($settings['enable_counters'])){ ?>
                                                <div class='flagpts_badges'>
                                                    <div class='flagpts_badges__column'>
                                                        <div class='flagpts_badges__label'><?php echo $settings['views_text']; ?></div>
                                                        <div class='flagpts_badges__count'><?php echo $slide['meta']['views']; ?></div>
                                                    </div>
                                                    <?php if($settings['likes_text'] && !empty($settings['show_like_button'])){ ?>
                                                        <div class='flagpts_badges__column'>
                                                            <div class='flagpts_badges__label'><?php echo $settings['likes_text']; ?></div>
                                                            <div class='flagpts_badges__count flagpts_like_count'><?php echo $slide['meta']['likes']; ?></div>
                                                        </div>
                                                    <?php } ?>
                                                </div>
                                            <?php } ?>
                                            <?php if( !empty($slide['details']['model'])){ ?>
                                                <div class='flagpts_exif'>
                                                    <div class='flagpts_label flagpts_exif_model'><?php echo $slide['details']['model']; ?></div>
                                                    <?php
                                                    $camera_settings = array();
                                                    foreach($slide['details']['camera_settings'] as $key => $value){
                                                        $camera_settings[] = "<span class='flagpts_exif_{$key}'>{$value}</span>";
                                                    }
                                                    if( !empty($camera_settings)){ ?>
                                                        <div class='flagpts_label flagpts_camera_settings'><?php echo implode('<span class="flagpts_separator"> / </span>', $camera_settings); ?></div>
                                                    <?php } ?>
                                                </div>
                                            <?php } ?>
                                            <div class='flagpts_meta'>
                                                <?php if($settings['taken_text'] && !empty($slide['details']['taken'])){ ?>
                                                    <div class='flagpts_clearfix flagpts_flex'>
                                                        <span class='flagpts_meta_key'><?php echo $settings['taken_text']; ?></span><span class='flagpts_meta_value'><?php echo $slide['details']['taken']; ?></span>
                                                    </div>
                                                <?php } ?>
                                                <?php if($settings['keywords_text'] && !empty($slide['details']['keywords'])){ ?>
                                                    <div class='flagpts_clearfix flagpts_flex'>
                                                        <span class='flagpts_meta_key'><?php echo $settings['keywords_text']; ?></span><span class='flagpts_meta_value'><?php echo $slide['details']['keywords']; ?></span>
                                                    </div>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>

        <div class="flagpts_photo_header">
            <div class="flagpts_wrapper flagpts_clearfix">
                <div class="flagpts_focus_actions">
                    <?php if( !empty($settings['show_share_button'])){ ?>
                        <ul class="flagpts_focus_share">
                            <li style="list-style:none;" class="flagpts_share_wrapper">
                                <a class="flagpts_button flagpts_share"><span><svg version="1.1" viewBox="0 0 80 90" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g><path d="M65,60c-3.436,0-6.592,1.168-9.121,3.112L29.783,47.455C29.914,46.654,30,45.837,30,45c0-0.839-0.086-1.654-0.217-2.456   l26.096-15.657C58.408,28.833,61.564,30,65,30c8.283,0,15-6.717,15-15S73.283,0,65,0S50,6.717,50,15   c0,0.837,0.086,1.654,0.219,2.455L24.123,33.112C21.594,31.168,18.438,30,15,30C6.717,30,0,36.717,0,45s6.717,15,15,15   c3.438,0,6.594-1.167,9.123-3.113l26.096,15.657C50.086,73.346,50,74.161,50,75c0,8.283,6.717,15,15,15s15-6.717,15-15   S73.283,60,65,60z"/></g></svg></span></a>
                                <ul class="flagpts_sharelizers flagpts_clearfix">
                                    <li style="list-style:none;">
                                        <a class="flagpts_button flagpts_facebook flagpts_sharelizer"><?php _e('Facebook', 'flash-album-gallery'); ?></a>
                                    </li>
                                    <li style="list-style:none;">
                                        <a class="flagpts_button flagpts_twitter flagpts_sharelizer"><?php _e('Twitter', 'flash-album-gallery'); ?></a>
                                    </li>
                                    <li style="list-style:none;">
                                        <a class="flagpts_button flagpts_pinterest flagpts_sharelizer"><?php _e('Pinterest', 'flash-album-gallery'); ?></a>
                                    </li>
                                    <li style="list-style:none;">
                                        <a class="flagpts_button flagpts_google flagpts_sharelizer"><?php _e('Google+', 'flash-album-gallery'); ?></a>
                                    </li>
                                    <li style="list-style:none;">
                                        <a class="flagpts_button flagpts_stumbleupon flagpts_sharelizer"><?php _e('StumbleUpon', 'flash-album-gallery'); ?></a>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    <?php } ?>
                    <?php if( !empty($settings['enable_counters']) && !empty($settings['show_like_button'])){ ?>
                        <ul class="flagpts_focus_like_fave flagpts_clearfix">
                            <li style="list-style:none;"><a class="flagpts_button flagpts_like"><span><svg version="1.1" viewBox="0 0 80 90" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M58.241,31.814c-0.659-1.777,17.699-18.172,6.99-31.457c-2.507-3.109-11.006,14.875-23.077,23.018  C35.495,27.867,20,37.429,20,42.711v34.202C20,83.272,44.568,90,63.246,90C70.083,90,80,47.124,80,40.312  C80,33.476,58.9,33.592,58.241,31.814z M15,32.29c-3.288,0-15,2-15,15.608v24.24c0,13.609,11.712,15.109,15,15.109  c3.287,0-5-2.863-5-11.297V44.086C10,35.244,18.287,32.29,15,32.29z"/><g/></svg></span></a>
                            </li>
                        </ul>
                    <?php } ?>
                    <ul class="flagpts_focus_arrows flagpts_clearfix">
                        <li style="list-style:none;">
                            <a class="flagpts_button flagpts_photo_arrow_previous flagpts_prev"><?php _e('Previous', 'flash-album-gallery'); ?></a>
                        </li>
                        <li style="list-style:none;">
                            <a class="flagpts_button flagpts_photo_arrow_next flagpts_next"><?php _e('Next', 'flash-album-gallery'); ?></a>
                        </li>
                    </ul>
                </div>
                <div class="flagpts_name_wrap flagpts_clearfix<?php
                if(empty($settings['show_title_bottom'])){
                    echo ' flagpts_hide_title';
                } ?>">
                    <div class="flagpts_title"><?php echo $content['data'][ $iSlide ]['title']; ?></div>
                </div>
                <div class="flagpts_actions"><?php
                    $show_share_button = !empty($settings['show_share_button']);
                    $enable_counters   = !empty($settings['enable_counters']);
                    $show_like_button  = !empty($settings['show_like_button']);
                    if($show_share_button || ($enable_counters && $show_like_button)){ ?>
                        <div class="flagpts_big_button_wrap<?php echo ( !$show_share_button || !$enable_counters || !$show_like_button)? ' flagpts_one_button' : ''; ?>">
                            <?php if($show_share_button){ ?>
                                <div class="flagpts_share_wrapper">
                                    <a class="flagpts_button flagpts_b_style2 flagpts_small_button flagpts_share"><span><svg version="1.1" viewBox="0 0 80 90" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g><path d="M65,60c-3.436,0-6.592,1.168-9.121,3.112L29.783,47.455C29.914,46.654,30,45.837,30,45c0-0.839-0.086-1.654-0.217-2.456   l26.096-15.657C58.408,28.833,61.564,30,65,30c8.283,0,15-6.717,15-15S73.283,0,65,0S50,6.717,50,15   c0,0.837,0.086,1.654,0.219,2.455L24.123,33.112C21.594,31.168,18.438,30,15,30C6.717,30,0,36.717,0,45s6.717,15,15,15   c3.438,0,6.594-1.167,9.123-3.113l26.096,15.657C50.086,73.346,50,74.161,50,75c0,8.283,6.717,15,15,15s15-6.717,15-15   S73.283,60,65,60z"/></g></svg></span></a>

                                    <div class="flagpts_sharelizers_wrap">
                                        <ul class="flagpts_sharelizers">
                                            <li style="list-style:none;">
                                                <a class="flagpts_button flagpts_facebook flagpts_sharelizer"><?php _e('Facebook', 'flash-album-gallery'); ?></a>
                                            </li>
                                            <li style="list-style:none;">
                                                <a class="flagpts_button flagpts_twitter flagpts_sharelizer"><?php _e('Twitter', 'flash-album-gallery'); ?></a>
                                            </li>
                                            <li style="list-style:none;">
                                                <a class="flagpts_button flagpts_pinterest flagpts_sharelizer"><?php _e('Pinterest', 'flash-album-gallery'); ?></a>
                                            </li>
                                            <li style="list-style:none;">
                                                <a class="flagpts_button flagpts_google flagpts_sharelizer"><?php _e('Google+', 'flash-album-gallery'); ?></a>
                                            </li>
                                            <li style="list-style:none;">
                                                <a class="flagpts_button flagpts_stumbleupon flagpts_sharelizer"><?php _e('StumbleUpon', 'flash-album-gallery'); ?></a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if($enable_counters && $show_like_button){ ?>
                                <a class="flagpts_button flagpts_b_style2 flagpts_small_button flagpts_like"><span><svg version="1.1" viewBox="0 0 80 90" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M58.241,31.814c-0.659-1.777,17.699-18.172,6.99-31.457c-2.507-3.109-11.006,14.875-23.077,23.018  C35.495,27.867,20,37.429,20,42.711v34.202C20,83.272,44.568,90,63.246,90C70.083,90,80,47.124,80,40.312  C80,33.476,58.9,33.592,58.241,31.814z M15,32.29c-3.288,0-15,2-15,15.608v24.24c0,13.609,11.712,15.109,15,15.109  c3.287,0-5-2.863-5-11.297V44.086C10,35.244,18.287,32.29,15,32.29z"/><g/></svg></span></a>
                            <?php } ?>
                        </div>
                    <?php }
                    if( !empty($settings['show_download_button'])){ ?>
                        <div class="flagpts_big_button_wrap flagpts_download_button">
                            <a class="flagpts_big_button flagpts_b_style1" href="<?php echo $content['data'][ $iSlide ]['download']; ?>" download="<?php esc_attr_e($content['data'][ $iSlide ]['file']); ?>">
                                <span class="flagpts_icon"><svg version="1.1" viewBox="0 0 90 75" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g><path d="M88.42,42.004L72.68,4.543C71.432,2.045,68.131,0,65.344,0H55.1L57,20.322h13.5L45,41.469L19.5,20.322H33L34.899,0H24.658   c-2.789,0-6.09,2.045-7.336,4.543L1.582,42.004c-1.248,2.5-1.893,6.801-1.434,9.557l3.4,18.428C4.008,72.744,6.664,75,9.451,75   h71.098c2.789,0,5.443-2.256,5.902-5.012l3.402-18.428C90.311,48.805,89.666,44.504,88.42,42.004z M81.605,55.13l-1.295,7.514   c-0.387,2.885-2.984,5.243-5.771,5.243H15.463c-2.787,0-5.385-2.358-5.773-5.243L8.395,55.13c-0.387-2.885,1.578-5.243,4.365-5.243   h64.48C80.029,49.887,81.992,52.245,81.605,55.13z"/></g></svg></span>
                                <span class="flagpts_label"><?php echo $settings['download_button_text']; ?></span>
                            </a>
                        </div>
                    <?php }
                    if( !empty($settings['show_link_button'])){
                        if(empty($content['data'][ $iSlide ]['link'])){
                            $link_class = ' flagpts_inactive';
                            $link_href  = '';
                        } else{
                            $link_class = '';
                            $link_href  = "href='{$content['data'][$iSlide]['link']}' target='{$content['data'][$iSlide]['link_target']}'";
                        }
                        ?>
                        <div class="flagpts_big_button_wrap flagpts_link_button">
                            <a class="flagpts_big_button flagpts_b_style1<?php echo $link_class; ?>" <?php echo $link_href; ?>>
                                <span class="flagpts_icon"><svg version="1.1" viewBox="0 0 80 80" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g><path d="M29.298,63.471l-4.048,4.02c-3.509,3.478-9.216,3.481-12.723,0c-1.686-1.673-2.612-3.895-2.612-6.257   s0.927-4.585,2.611-6.258l14.9-14.783c3.088-3.062,8.897-7.571,13.131-3.372c1.943,1.93,5.081,1.917,7.01-0.025   c1.93-1.942,1.918-5.081-0.025-7.009c-7.197-7.142-17.834-5.822-27.098,3.37L5.543,47.941C1.968,51.49,0,56.21,0,61.234   s1.968,9.743,5.544,13.292C9.223,78.176,14.054,80,18.887,80c4.834,0,9.667-1.824,13.348-5.476l4.051-4.021   c1.942-1.928,1.953-5.066,0.023-7.009C34.382,61.553,31.241,61.542,29.298,63.471z M74.454,6.044   c-7.73-7.67-18.538-8.086-25.694-0.986l-5.046,5.009c-1.943,1.929-1.955,5.066-0.025,7.009c1.93,1.943,5.068,1.954,7.011,0.025   l5.044-5.006c3.707-3.681,8.561-2.155,11.727,0.986c1.688,1.673,2.615,3.896,2.615,6.258c0,2.363-0.928,4.586-2.613,6.259   l-15.897,15.77c-7.269,7.212-10.679,3.827-12.134,2.383c-1.943-1.929-5.08-1.917-7.01,0.025c-1.93,1.942-1.918,5.081,0.025,7.009   c3.337,3.312,7.146,4.954,11.139,4.954c4.889,0,10.053-2.462,14.963-7.337l15.897-15.77C78.03,29.083,80,24.362,80,19.338   C80,14.316,78.03,9.595,74.454,6.044z"/></g></svg></span>
                                <span class="flagpts_label"><?php echo $settings['link_button_text']; ?></span>
                            </a>
                        </div>
                    <?php } ?></div>
            </div>
        </div>
        <div class="flagpts_focus_close_full">
            <span><a class="flagpts_button flagpts_close"><?php _e('Close', 'flash-album-gallery'); ?></a></span>
            <span><a class="flagpts_button flagpts_full"><?php _e('Full', 'flash-album-gallery'); ?></a></span>
        </div>
        <div class="flagpts_focus_footer">
            <div class="flagpts_focus_keyboard">
                <div class="flagpts_focus_keyboard_title"><?php _e('Keyboard Shortcuts', 'flash-album-gallery'); ?>
                    <a class="flagpts_focus_keyboard_dismiss"><?php _e('Dismiss', 'flash-album-gallery'); ?></a></div>
                <ul>
                    <li style="list-style:none;">
                        <a data-key="p" class="flagpts_key">S</a><span class="flagpts_label"><?php _e('Slideshow', 'flash-album-gallery'); ?></span>
                    </li>
                    <li style="list-style:none;">
                        <a data-key="m" class="flagpts_key">M</a><span class="flagpts_label"><?php _e('Maximize', 'flash-album-gallery'); ?></span>
                    </li>
                    <li style="list-style:none;">
                        <a data-key="left" class="flagpts_key">&nbsp;</a><span class="flagpts_label"><?php _e('Previous', 'flash-album-gallery'); ?></span>
                    </li>
                    <li style="list-style:none;">
                        <a data-key="right" class="flagpts_key">&nbsp;</a><span class="flagpts_label"><?php _e('Next', 'flash-album-gallery'); ?></span>
                    </li>
                    <li style="list-style:none;">
                        <a data-key="escape" class="flagpts_key flagpts_esc">esc</a><span class="flagpts_label"><?php _e('Close', 'flash-album-gallery'); ?></span>
                    </li>
                </ul>
            </div>
        </div>

    </div>

    <script type="text/javascript">
        jQuery(function($){
            var settings = <?php echo json_encode($settings); ?>;
            var content = <?php echo json_encode($content); ?>;
            var container = $('#FlaGallery_<?php echo $galleryID; ?>');
            container.desire(settings, content);
            window.FlaGallery_<?php echo $galleryID; ?> = container.data('desire');
        });
    </script>
<?php


$cssid     = "#FlaGallery_{$galleryID}";
$color_css = '';
if(isset($settings['slider_bg'])){
    $color_css .= "
{$cssid} .flagpts_photo_show:not(.flagpts_focus) .flagpts_photo_wrap .swiper-container {background-color:{$settings['slider_bg']};}";
}
if(isset($settings['bottom_bar_bg'])){
    $color_css .= "
{$cssid} .flagpts_photo_show .flagpts_carousel_wrapper,
{$cssid} .flagpts_photo_show:not(.flagpts_focus) .flagpts_photo_header {background-color:{$settings['bottom_bar_bg']};}";
}
if(isset($settings['info_bg_color']) || isset($settings['info_bg_alpha'])){
    $rgb       = implode(',', flagGallery::hex2rgb($settings['info_bg_color']));
    $alpha     = $settings['info_bg_alpha'] / 100;
    $color_css .= "
{$cssid} .flagpts_gallery_info_menu .flagpts_info_bg {background-color:rgba({$rgb},{$alpha});}";
}
if(isset($settings['info_text_color1'])){
    $color_css .= "
{$cssid} .flagpts_photo_details,
{$cssid} .flagpts_details_section .flagpts_meta_key {color:{$settings['info_text_color1']};}";
}
if(isset($settings['info_text_color2'])){
    $color_css .= "
{$cssid} .flagpts_description_wrap .flagpts_slide_description,
{$cssid} .flagpts_details_section {color:{$settings['info_text_color2']};}";
}
if(isset($settings['info_link_color'])){
    $color_css .= "
{$cssid} .flagpts_photo_details a,
{$cssid} .flagpts_badges__column .flagpts_badges__count,
{$cssid} .flagpts_photo_details .flagpts_active {color:{$settings['info_link_color']};}";
}
if(isset($settings['info_link_color_hover'])){
    $color_css .= "
{$cssid} .flagpts_photo_details a:hover,
{$cssid} .flagpts_photo_details .flagpts_tab:hover {color:{$settings['info_link_color_hover']};}";
}
if(isset($settings['buttons3_color']) || isset($settings['buttons3_bg'])){
    $color_css .= "
{$cssid} .flagpts_photo_header .flagpts_name_wrap .flagpts_title a {color:{$settings['buttons3_bg']};}
{$cssid} .flagpts_photo_header .flagpts_name_wrap .flagpts_title a:hover {color:{$settings['buttons1_bg']};}
{$cssid} .swiper-slide-placeholder {background-color:{$settings['buttons3_bg']};}
{$cssid} .flagpts_photo_show .flagpts_carousel .flagpts_nav_button,
{$cssid} .flagpts_photo_show .flagpts_inactive,
{$cssid} .flagpts_photo_show .flagpts_inactive:hover {color:{$settings['buttons3_color']};background-color:{$settings['buttons3_bg']};}
{$cssid} .flagpts_photo_show .flagpts_carousel.flagpts_has_previous .flagpts_previous_button,
{$cssid} .flagpts_photo_show .flagpts_carousel.flagpts_has_next .flagpts_next_button {color:{$settings['buttons2_color']};background-color:{$settings['buttons2_bg']};}
{$cssid} .flagpts_photo_show .flagpts_carousel .flagpts_previous_button::before,
{$cssid} .flagpts_photo_show .flagpts_carousel .flagpts_next_button::before {border-color:{$settings['buttons2_color']};}";
}
if(isset($settings['buttons1_color']) || isset($settings['buttons1_bg'])){
    $c         = flagGallery::color($settings['buttons1_bg']);
    $gethex    = '#' . $c->getHex();
    $lighten10 = '#' . $c->lighten(10);
    $color_css .= "
{$cssid} .flagpts_photo_header .flagpts_name_wrap .flagpts_title a:hover {color:{$lighten10};}
{$cssid} .flagpts_big_button_wrap .flagpts_button.flagpts_like.flagpts_liked,
{$cssid} .flagpts_big_button_wrap .flagpts_button.flagpts_like.flagpts_liked:hover,
{$cssid} .flagpts_focus_actions ul .flagpts_button.like.flagpts_liked,
{$cssid} .flagpts_focus_actions ul .flagpts_button.like.flagpts_liked:hover,
{$cssid} .flagpts_photo_show .flagpts_b_style1:not(.flagpts_inactive) {color:{$settings['buttons1_color']};background-color:{$gethex};}
{$cssid} .flagpts_photo_show .flagpts_b_style1:not(.flagpts_inactive):hover {color:{$settings['buttons1_color']};background-color:{$lighten10};}";
}
if(isset($settings['buttons2_color']) || isset($settings['buttons2_bg'])){
    $c         = flagGallery::color($settings['buttons2_bg']);
    $gethex    = '#' . $c->getHex();
    $lighten10 = '#' . $c->lighten(10);
    $lighten30 = '#' . $c->lighten(30);
    $color_css .= "
{$cssid} .swiper-big-images .flagpts_photo_arrow .flagpts_arrow {color:{$gethex};}
{$cssid} .swiper-big-images .flagpts_photo_arrow .flagpts_arrow svg {stroke:{$settings['buttons2_color']};}
{$cssid} .flagpts_photo_header .flagpts_name_wrap .flagpts_title {color:{$gethex};}
{$cssid} .flagpts_photo_show .flagpts_carousel.flagpts_has_previous .flagpts_previous_button,
{$cssid} .flagpts_photo_show .flagpts_carousel.flagpts_has_next .flagpts_next_button,
{$cssid} .flagpts_photo_show .flagpts_b_style2:not(.flagpts_inactive) {color:{$settings['buttons2_color']};background-color:{$gethex};}
{$cssid} .flagpts_big_button_wrap .flagpts_sharelizers .flagpts_button,
{$cssid} .flagpts_photo_show .flagpts_carousel.flagpts_has_previous .flagpts_previous_button:hover,
{$cssid} .flagpts_photo_show .flagpts_carousel.flagpts_has_next .flagpts_next_button:hover,
{$cssid} .flagpts_photo_show .flagpts_b_style2:not(.flagpts_inactive):hover {color:{$settings['buttons2_color']};background-color:{$lighten10};}
{$cssid} .flagpts_big_button_wrap .flagpts_sharelizers:before {border-top-color:{$lighten30};}
{$cssid} .flagpts_big_button_wrap .flagpts_sharelizers:after {border-top-color:{$lighten10};}
";
}

$flagpts_css = "
{$cssid} .flagpts_preload {opacity:0;}";
if('fit' == $settings['scale_mode']){
    $flagpts_css .= "
{$cssid} .swiper-big-images img.flagpts_the_photo { max-height:100%; max-width:100%; display:inline; width:auto; height:auto; object-fit:unset; vertical-align:middle; border:none; }";
} else{
    $flagpts_css .= "
{$cssid} .swiper-big-images img.flagpts_the_photo { max-height:100%; max-width:100%; display:inline; width:100%; height:100%; object-fit:cover; vertical-align:middle; border:none; }";
}
$flagpts_css .= "
{$cssid} .flagpts_focus .swiper-big-images img.flagpts_the_photo { width:auto; height:auto; object-fit:unset; }
{$cssid} .swiper-small-images img.flagpts_photo { max-width:none; max-height:none; }
{$cssid} .swiper-small-images img.flagpts_photo.flagpts_photo_landscape { width:auto; height:100%; }
{$cssid} .swiper-small-images img.flagpts_photo.flagpts_photo_portrait { width:100%; height:auto; }";
$customCSS   = $flagpts_css . $color_css . $customCSS;

