<?php
$default_options = array(
    'base_gallery_width'      => '800',
    'base_gallery_height'     => '500',
    'gallery_min_height'      => '230',
    'scale_mode'              => 'fill',
    'initial_slide'           => '0',
    'hashnav'                 => '0',
    'slideshow_autoplay'      => '0',
    'slideshow_delay'         => '7000',
    'gallery_focus'           => '0',
    'gallery_maximized'       => '0',
    'gallery_focus_maximized' => '0',
    'keyboard_help'           => '1',
    'show_thumbnails_bar'     => '1',
    'show_download_button'    => '1',
    'show_link_button'        => '1',
    'link_button_target'      => '_self',
    'show_description'        => '1',
    'show_title_bottom'       => '1',
    'show_share_button'       => '1',
    'enable_counters'         => '1',
    'show_like_button'        => '1',
    'show_details_tab'        => '1',
    'show_info_button'        => '1',
    'slider_bg'               => '#000000',
    'bottom_bar_bg'           => '#ffffff',
    'buttons1_color'          => '#ffffff',
    'buttons1_bg'             => '#cd0060',
    'buttons2_color'          => '#ffffff',
    'buttons2_bg'             => '#323232',
    'buttons3_color'          => '#ffffff',
    'buttons3_bg'             => '#71767C',
    'info_link_color'         => '#cd0060',
    'info_link_color_hover'   => '#ff2d8d',
    'info_text_color1'        => '#71767a',
    'info_text_color2'        => '#989898',
    'info_bg_color'           => '#ffffff',
    'info_bg_alpha'           => '90',
    'download_button_text'    => 'DOWNLOAD',
    'link_button_text'        => 'OPEN LINK',
    'description_title'       => 'Description',
    'details_title'           => 'Details',
    'taken_text'              => 'Taken',
    'keywords_text'           => 'Keywords',
    'views_text'              => 'Views',
    'likes_text'              => 'Likes',
    'customCSS'               => '',
);
$options_tree    = array(
    array(
        'label'  => 'Common Settings',
        'fields' => array(
            'base_gallery_width'   => array(
                'label' => 'Base Width',
                'tag'   => 'input',
                'attr'  => 'type="number" min="1"',
                'text'  => '',
            ),
            'base_gallery_height'  => array(
                'label' => 'Base Height',
                'tag'   => 'input',
                'attr'  => 'type="number" min="1"',
                'text'  => 'Slider will autocalculate the ratio based on these values',
            ),
            'gallery_min_height'   => array(
                'label' => 'Minimal Height',
                'tag'   => 'input',
                'attr'  => 'type="number" min="230"',
                'text'  => '',
            ),
            'gallery_maximized'    => array(
                'label' => 'Auto Height for Each Slide',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => 'Change slider height on change slide to best fit image in it',
            ),
            'scale_mode'           => array(
                'label'   => 'Image Scale Mode',
                'tag'     => 'select',
                'attr'    => '',
                'text'    => 'Default value: Fit. Note \'Fill\' - can work inproperly on IE browser',
                'choices' => array(
                    array(
                        'label' => 'Fit',
                        'value' => 'fit',
                    ),
                    array(
                        'label' => 'Fill',
                        'value' => 'fill',
                    ),
                ),
            ),
            'initial_slide'        => array(
                'label' => 'Initial Slide',
                'tag'   => 'input',
                'attr'  => 'type="number" min="0"',
                'text'  => '',
            ),
            'hashnav'              => array(
                'label' => 'Deep Linking',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => 'Enable hash url navigation to for slides',
            ),
            'slideshow_autoplay'   => array(
                'label' => 'Autoplay On Load',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => 'Start slideshow automatically on gallery load',
            ),
            'slideshow_delay'      => array(
                'label' => 'Slideshow Delay',
                'tag'   => 'input',
                'attr'  => 'type="number" min="1000"',
                'text'  => 'Delay between change slides in miliseconds',
            ),
            'show_info_button'     => array(
                'label' => 'Show Info Button for Slide',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => '',
            ),
            'show_thumbnails_bar'  => array(
                'label' => 'Show Thumbnails Bar',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => '',
            ),
            'show_download_button' => array(
                'label' => 'Show Download Button',
                'tag'   => 'checkbox',
                'attr'  => 'data-watch="change"',
                'text'  => 'Download original file or if custom field with name "download" specified for the item then its value will be used.',
            ),
            'show_link_button'     => array(
                'label' => 'Show Link Button',
                'tag'   => 'checkbox',
                'attr'  => 'data-watch="change"',
                'text'  => 'Uses link field from the item',
            ),
            'link_button_target'   => array(
                'label' => 'Link Button Target',
                'tag'   => 'input',
                'attr'  => 'type="text" placeholder="_self" data-show_link_button="is:1"',
                'text'  => '"_self" to open links in same window; "_blank" to open in new tab.',
            ),
            'show_title_bottom'    => array(
                'label' => 'Show Image Title Under Slider',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => '',
            ),
            'show_share_button'    => array(
                'label' => 'Show Share Button',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => '',
            ),
            'show_like_button'     => array(
                'label' => 'Show Like Button',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => 'Views & Likes Counters should be enabled too',
            ),
            'enable_counters'      => array(
                'label' => 'Enable Views & Likes Counters',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => '',
            ),
            'show_description'     => array(
                'label' => 'Show Slide Description',
                'tag'   => 'checkbox',
                'attr'  => 'data-watch="change"',
                'text'  => '',
            ),
            'show_details_tab'     => array(
                'label' => 'Show Details Tab',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => '',
            ),
        ),
    ),
    array(
        'label'  => 'Colors',
        'fields' => array(
            'slider_bg'             => array(
                'label' => 'Background Color Behind Main Image',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'bottom_bar_bg'         => array(
                'label' => 'Background Color for Bar Under Main Image',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'buttons1_bg'           => array(
                'label' => 'Buttons Background Color (1)',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'buttons1_color'        => array(
                'label' => 'Buttons Text Color (1)',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'buttons2_bg'           => array(
                'label' => 'Buttons Background Color (2)',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'buttons2_color'        => array(
                'label' => 'Buttons Text Color (2)',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'buttons3_bg'           => array(
                'label' => 'Buttons Background Color (3)',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'buttons3_color'        => array(
                'label' => 'Buttons Text Color (3)',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'info_bg_color'         => array(
                'label' => 'Info Background Color',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'info_bg_alpha'         => array(
                'label' => 'Info Background Transparency',
                'tag'   => 'input',
                'attr'  => 'type="number" min="0" max="100"',
                'text'  => '',
            ),
            'info_text_color1'      => array(
                'label' => 'Info Text Color (1)',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'info_text_color2'      => array(
                'label' => 'Info Text Color (2)',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'info_link_color'       => array(
                'label' => 'Links Color in Info',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
            'info_link_color_hover' => array(
                'label' => 'Links Color on Hover in Info',
                'tag'   => 'input',
                'attr'  => 'type="text" data-type="color"',
                'text'  => '',
            ),
        ),
    ),
    array(
        'label'  => 'Translate Strings',
        'fields' => array(
            'download_button_text' => array(
                'label' => 'Download Button Name',
                'tag'   => 'input',
                'attr'  => 'type="text"',
                'text'  => '',
            ),
            'link_button_text'     => array(
                'label' => 'Link Button Name',
                'tag'   => 'input',
                'attr'  => 'type="text"',
                'text'  => '',
            ),
            'description_title'    => array(
                'label' => 'Slide Description Title',
                'tag'   => 'input',
                'attr'  => 'type="text"',
                'text'  => '',
            ),
            'details_title'        => array(
                'label' => 'Details Title',
                'tag'   => 'input',
                'attr'  => 'type="text"',
            ),
            'views_text'           => array(
                'label' => 'Views Title',
                'tag'   => 'input',
                'attr'  => 'type="text"',
            ),
            'likes_text'           => array(
                'label' => 'Likes Title',
                'tag'   => 'input',
                'attr'  => 'type="text"',
            ),
        ),
    ),
    array(
        'label'  => 'Advanced Settings',
        'fields' => array(
            'gallery_focus'           => array(
                'label' => 'Full Window Mode on Start',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => '',
            ),
            'gallery_focus_maximized' => array(
                'label' => 'Maximized Full Window Mode',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => '',
            ),
            'keyboard_help'           => array(
                'label' => 'Show Keyboard Help',
                'tag'   => 'checkbox',
                'attr'  => '',
                'text'  => '',
            ),
            'customCSS'               => array(
                'label' => 'Custom CSS',
                'tag'   => 'textarea',
                'attr'  => 'cols="20" rows="10"',
                'text'  => 'You can enter custom style rules into this box if you\'d like. IE: <i>a{color: red !important;}</i><br />This is an advanced option! This is not recommended for users not fluent in CSS... but if you do know CSS, anything you add here will override the default styles',
            ),
        ),
    ),
);
